Bug 140933 - losetup doesn't support offsets greater than 2GB
Summary: losetup doesn't support offsets greater than 2GB
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: util-linux   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-26 16:36 UTC by Luciano Rocha
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version: 2.12a-19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-01 22:42:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Luciano Rocha 2004-11-26 16:36:07 UTC
Description of problem:
The losetup util doesn't support offsets greater than 2GB. It reports the setted offset to
exactly 2^31-1

Version-Release number of selected component (if applicable):
rpm -qf /sbin/losetup util-linux-2.12a-16

How reproducible:
always

Steps to Reproduce:
1. losetup -o 20737457152 /dev/loop4 img
2. losetup /dev/loop4

Actual results:
/dev/loop4: [fd02]:147457 (void.img), offset 2147483647
  
Expected results:
correct offset

Additional info:

Comment 1 Elliot Lee 2004-12-01 22:42:41 UTC
Yea, you're right. It'll be fixed for future releases.


Note You need to log in before you can comment on or make changes to this bug.